$schema: ../lib/scenario.schema.yml

scenario:
  description: Variables concerning a random EPS of the market
  include:
    - common.yml

common_attributes:
  full_capacity: = 46 * 0.8
  initial_capacity: = 46 * 0.8 * 0.7
  mppt_configuration: {
    "Y-": [3, 0, 4, 0],
    "Y+": [0, 3, 4, 0],
    "X-": [3, 0, 4, 0],
    "X+": [3, 3, 0, 0],
    "Z-": [0, 0, 0, 2],
  }
  solar_cells:
    voltage: 2.3
    current: 0.5
    best_voltage: 2.5
    best_current: 0.7
  diode_drop: 0.2
  eps_type: "ISIS"

modes:
  commissioning:
    consumption: 3.2
  nominal:
    consumption: 3.8
  science:
    consumption: 4.6
